import { ITerminal, NewlineKind } from '@rushstack/node-core-library';
import type { ILocalizationFile, IParseFileOptions } from './interfaces';
/**
 * @public
 */
export declare type ParserKind = 'resx' | 'loc.json' | 'resjson';
/**
 * @public
 */
export interface IParseLocFileOptions extends IParseFileOptions {
    terminal: ITerminal;
    parser?: ParserKind;
    resxNewlineNormalization: NewlineKind | undefined;
    ignoreMissingResxComments: boolean | undefined;
}
export declare function selectParserByFilePath(filePath: string): ParserKind;
/**
 * @public
 */
export declare function parseLocFile(options: IParseLocFileOptions): ILocalizationFile;
//# sourceMappingURL=LocFileParser.d.ts.map