import { StringValuesTypingsGenerator } from '@rushstack/typings-generator';
import { ITerminal, NewlineKind } from '@rushstack/node-core-library';
import type { IgnoreStringFunction } from './interfaces';
/**
 * @public
 */
export interface ITypingsGeneratorOptions {
    srcFolder: string;
    generatedTsFolder: string;
    terminal?: ITerminal;
    exportAsDefault?: boolean;
    globsToIgnore?: string[];
    resxNewlineNormalization?: NewlineKind | undefined;
    ignoreMissingResxComments?: boolean | undefined;
    ignoreString?: IgnoreStringFunction;
    processComment?: (comment: string | undefined, resxFilePath: string, stringName: string) => string | undefined;
}
/**
 * This is a simple tool that generates .d.ts files for .loc.json, .resx.json, .resjson, and .resx files.
 *
 * @public
 */
export declare class LocFileTypingsGenerator extends StringValuesTypingsGenerator {
    constructor(options: ITypingsGeneratorOptions);
}
//# sourceMappingURL=LocFileTypingsGenerator.d.ts.map