import { ITerminal, NewlineKind } from '@rushstack/node-core-library';
import type { ILocalizationFile, IgnoreStringFunction } from './interfaces';
/**
 * @public
 */
export interface IResxReaderOptions {
    resxFilePath: string;
    terminal: ITerminal;
    newlineNormalization: NewlineKind | undefined;
    warnOnMissingComment: boolean;
    /**
     * Optionally, provide a function that will be called for each string. If the function returns `true`
     * the string will not be included.
     */
    ignoreString?: IgnoreStringFunction;
}
/**
 * @public
 */
export declare function readResxFileAsLocFile(options: IResxReaderOptions): ILocalizationFile;
/**
 * @public
 */
export declare function readResxAsLocFile(resxContents: string, options: IResxReaderOptions): ILocalizationFile;
//# sourceMappingURL=ResxReader.d.ts.map